// 路演视频模块

import { httpGet, httpPost } from "@/utils/request.js";

/**
 * 视频列表
 * @param page_index
 * @param page_size
 * @param keywords
 * @param video_id
 * @param chart_permission_id
 */
export const apiRoadShowVideoList=params=>{
    return httpGet('/road/video/list',params)
}

/**
 * 视频播放埋点
 * @param video_id
 * @param source_agent 来源平台：1:小程序、2:小程序(pc)、3:公众号、4:官网web(pc)
 */
export const apiRoadShowVideoPlayLog=params=>{
    return httpPost('/road/video/play_log',{...params,source_agent:1})
}