// 配置文件

const env=uni.getAccountInfoSync().miniProgram

let baseApiUrl=''// 请求根路径
let h5BaseUrl=''// h5页面根路径
let pcBaseUrl=''//pc页面根路径
if(env.envVersion==='develop'){//开发
    baseApiUrl='http://8.136.199.33:8612/api'
    h5BaseUrl='https://xcxh5test.hzinsights.com/xcx_h5'
	// h5BaseUrl='http://192.168.77.5:3000/xcx_h5'
    pcBaseUrl='https://ybpctest.hzinsights.com'
}else if(env.envVersion==='trial'){//体验版
    baseApiUrl='https://ybpctest.hzinsights.com/api'
    h5BaseUrl='https://xcxh5test.hzinsights.com/xcx_h5'
    pcBaseUrl='https://ybpctest.hzinsights.com'
}else if(env.envVersion==='release'){//正式版
    baseApiUrl='https://yanbao.hzinsights.com/api'
    h5BaseUrl='https://details.hzinsights.com'
    pcBaseUrl='https://ybpc.hzinsights.com'
}


// 配置图片资源 https://hzstatic.hzinsights.com/static/icon/hzyb/
const globalImgUrls={
    chartWait:'https://hzstatic.hzinsights.com/static/icon/hzyb/chart_wait.png',
    chartEmpty:'https://hzstatic.hzinsights.com/static/icon/hzyb/chart_empty.png',
    activityNoAuth:'https://hzstatic.hzinsights.com/static/icon/hzyb/activity_no_auth.png',
    imgSuccess:'https://hzstatic.hzinsights.com/static/icon/hzyb/success_icon.png',
    loginTop:'https://hzstatic.hzinsights.com/static/icon/hzyb/login_top_img.png',
    idCardExp:'https://hzstatic.hzinsights.com/static/icon/hzyb/idcard_exp.jpg',//名片示例图
    defaultAvatar:'https://hzstatic.hzinsights.com/static/icon/hzyb/default_avatar.png',
    ficcServiceImg:'https://hzstatic.hzinsights.com/static/icon/hzyb/ficc_service.png',//ficc服务banner图
    ficcServicePage:'https://hzstatic.hzinsights.com/static/icon/hzyb/ficc_service_page.png',//ficc服务介绍图
	sandBoxNoAuthor:'https://hzstatic.hzinsights.com/static/icon/hzyb/sandbox_no_author.png', //沙盘无权限 无数据
	sandBoxShareDefault1:'https://hzstatic.hzinsights.com/static/images/yb/sandbox_20220705160455.png', //沙盘分享时 默认图片1
	sandBoxShareDefault2:'https://hzstatic.hzinsights.com/static/images/yb/sandbox_20220705160533.png', //沙盘分享时 默认图片2
    pdfShareImg:'https://hzstatic.hzinsights.com/static/images/yb/report_pdf_share_cover.png',//PDF报告分享图
}

// 默认tabbar数据
const defaultTabBarListConfig=[
    {
        key: "report",
        pagePath: "pages/report/report",
        text: "首页",
        iconPath: "../static/tabbar/report.png",
        selectedIconPath: "../static/tabbar/report-s.png",
    },
	{
		key: 'road',
		pagePath: "pages/roadShow/video/list",
		text: "线上路演",
		iconPath: "../static/tabbar/roadShow.png",
		selectedIconPath: "../static/tabbar/roadShow-s.png"
	},
    {
        key: "my_chart",
        pagePath: "pages/myChart/index",
        text: "我的图库",
        iconPath: "../static/tabbar/mychart.png",
        selectedIconPath: "../static/tabbar/mychart-s.png",
    },
    {
        key: "question",
        pagePath: "pages/question/question",
        text: "问答",
        iconPath: "../static/tabbar/question.png",
        selectedIconPath: "../static/tabbar/question-s.png",
    },
	{
	    key: "voice_broadcast",
	    pagePath: "pages/voice/voice",
	    text: "语音播报",
	    iconPath: "../static/tabbar/voice.png",
	    selectedIconPath: "../static/tabbar/voice-s.png",
	},
]


module.exports={
    baseApiUrl,
    globalImgUrls,
    defaultTabBarListConfig,
    h5BaseUrl,
    pcBaseUrl
}